TTLG|Thief|Bioshock|System Shock|Deus Ex|Mobile
Page 2 of 2 FirstFirst 12
Results 26 to 44 of 44

Thread: ** New Dark Patch: Thief 2 V1.25 - System Shock 2 V2.46 ** 2017-03-20

  1. #26
    Member
    Registered: Aug 2004
    Location: CT, USA
    From the included release_notes.txt:

    Changes and fixes for v1.25
    ---------------------------

    General:
    - fixed initialization issue that in some situations could cause anim light lightmaps to be wrongly turned on after loading a savegame or starting game
    - fixed a subtitle loading crash when sub file has a certain type of syntax error
    - fixed DML loading bugs for files located in "dbmods"

    DromEd:
    - fixed bug where 32-bit lightmaps could have spots of slight miscoloration when lm32_params sets a saturation other than 1.0
    - fixed a crash that could happening when using a receptron with effect set to "None"
    - increased max model handles (see modders_notes.txt)
    - increased max application data handles (see modders_notes.txt)

    Other:
    - added SQUIRREL.OSM, an OSM that provides the ability to write custom scripts using the Squirrel script language
    (see documentation doc\squirrel_script)

  2. #27
    Member
    Registered: Dec 2010
    Updated... Thanks Tannar, Lord Soth and Brethren!
    Last edited by Athalle; 22nd Mar 2017 at 16:54.

  3. #28
    Member
    Registered: Aug 2003
    Location: Norway (currently Phoenix, AZ)
    All you need to update is extract the thief2.exe file correct? You can safely omit any of the *.ini files if you want to keep current settings, right?
    Last edited by klatremus; 22nd Mar 2017 at 21:12.

  4. #29
    Member
    Registered: Jan 2001
    Location: Formby, NW England
    That's what I did, and it seems fine. If you want to be certain, extract the ini and cfg files to another folder and compare like with like.

  5. #30
    Zombified
    Registered: Sep 2004
    yes, as far as I can tell, updating just the exe is fine if you want to update an already set up Dark game quickly.

  6. #31
    Member
    Registered: Dec 2011
    Location: Ferrol - Spain
    Quote Originally Posted by voodoo47 View Post
    yes, as far as I can tell, updating just the exe is fine if you want to update an already set up Dark game quickly.
    Does this also apply to your latest full TFix?
    I mean, just overwriting the .exe file (previously renaming it to Thief)

  7. #32
    Zombified
    Registered: Sep 2004
    correct. you can also get the 1.25 exe from TFix Light which already is up to date so you would have the proper TG icon.

  8. #33
    Member
    Registered: Feb 2004
    is this supposed to be used on top of TafferPatcher???

  9. #34
    Zombified
    Registered: Sep 2004
    no, use just the exe (or exes, if you use the editor as well). overwriting the custom cfg and ini files will cause issues (with TafferPatcher and TFix, anyway).

  10. #35
    I've been away for a long time, so I haven't kept myself updated on NewDark: is 1.25 the latest version?

  11. #36
    Dóttirin klæðist oft móður möttli
    Registered: Apr 2015
    Yes

  12. #37
    Okay, 1.25 it is then.

  13. #38
    Member
    Registered: Aug 2006
    Location: France (Saint-Gobain)
    I´m already looking forward for the 1.26

  14. #39
    I copied new_dark.zip and contrib.zip into the Thief2 directory as the release_notes stated. Now all the previously enhanced textures added by TafferPatcher are reset to the originals. Even in DromEd the texture families show the original versions. I figure I screwed something up here. Is there any option, e.g. in cam_ext that I have to consider?

    The only other thing that I changed is installing The Hammerites of the Raven Creek FM via Darkloader v4.3, which needed NewDark 1.25

  15. #40
    Member
    Registered: Oct 2003
    Location: Nampa, Idaho
    You'll have to go back into the cam_mod.ini file and remove any semicolons (under mod paths), and/or add the file path to whatever one you're using.

  16. #41
    Alright, adding:
    mod_path .\MODS\t2water+.\MODS\t2skies+.\MODS\EP\EPBooks+.\MODS\EP+.\MODS\NTEX+.\patchedmis
    did the trick. Thank you.
    However, I had to retexture all the brushes with previously missing textures. I didn't know that TafferPatcher introduced completely new rooftile and grass textures, not only replacing the originals.
    But it was only and handful and didn't take too long. Thanks again.

  17. #42
    Moderator
    Registered: Jan 2003
    Location: NeoTokyo
    So I updated to v1.25 to play DCE and now when I push Play on FMSel for every installed FM there's a CTD.
    It still installed it just fine (it seems, since I can't play it).

    I haven't played an FM from this computer in ages, so I don't know what's going on with other files.
    I just dropped the 1.25 files in and crossed my fingers. Do we know usual suspects for this kind of crash?

    Edit: haha, good old DarkLoader ran it fine though, once I commented out the bit in cam_mod that runs fmsel automatically.
    It's like an old beat up Chevy pickup that still runs 40 years later.
    So everything works fine, FMSel just isn't running the game when I push play?
    Last edited by demagogue; 28th Oct 2017 at 12:23.

  18. #43
    Desperately dodgy geezer
    Registered: Nov 2001
    Location: The Wailing Keep
    Not sure what happened, but yes old Darkloader does work with DCE, although it needlessly converts all of the OGG files to WAVs. I know FMSel was used extensively in testing so it should be compatible, so I assume something isn't right with your FMSel setup.

  19. #44
    Member
    Registered: Jan 2001
    Location: Formby, NW England
    It should also work fine with NewDarkLoader, which unlike FMSel, displays the readme, and unlike Darkloader, does not convert ogg files (I wouldn't mind adding the option if I could figure out how to do it).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •